Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364866 - Custom Product created via hammer does not get correctly associated with the Custom Subscription
Summary: Custom Product created via hammer does not get correctly associated with the...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.2.0
Hardware: All
OS: Linux
high
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Brad Buckingham
URL:
Whiteboard:
Depends On:
Blocks: 1479962
TreeView+ depends on / blocked
 
Reported: 2016-08-08 04:41 UTC by jalviso
Modified: 2019-04-01 20:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC


Attachments (Terms of Use)

Comment 9 Brad Buckingham 2017-08-30 13:13:45 UTC
Verified with Satellite 6.3 SNAP 13: satellite-6.3.0-16.0.beta.el7sat.noarch, tfm-rubygem-katello-3.4.4-1.el7sat.noarch

Ran through the scenario provided and confirmed that the custom repository does have product-content associated with it in the activation key.

hammer> product create --organization "Default Organization" --name "VMware-tools"
Product created

hammer> repository create --organization "Default Organization" --product "VMware-tools" --content-type yum --url "http://packages.vmware.com/packages/rhel7/x86_64/" --name "vmtools"
Repository created

hammer> repository synchronize --organization "Default Organization" --product "VMware-tools" --name "vmtools"
[.................................................................................................................] [100%]
New packages: 3 (171 KB).

hammer> product list --organization "Default Organization"
----|----------------------------------------------------------------------------------|-------------|----------------------|--------------|------------------
ID  | NAME                                                                             | DESCRIPTION | ORGANIZATION         | REPOSITORIES | SYNC STATE       
----|----------------------------------------------------------------------------------|-------------|----------------------|--------------|------------------
204 | VMware-tools                                                                     |             | Default Organization | 1            | Syncing Complete.
----|----------------------------------------------------------------------------------|-------------|----------------------|--------------|------------------

hammer> subscription list --organization "Default Organization"
---|----------------------------------|-----------------------------------------|----------|----------|---------|--------------|---------------------|-----------|---------
ID | UUID                             | NAME                                    | TYPE     | CONTRACT | ACCOUNT | SUPPORT      | END DATE            | QUANTITY  | CONSUMED
---|----------------------------------|-----------------------------------------|----------|----------|---------|--------------|---------------------|-----------|---------
7  | 4028f9a35e2fcac5015e333758870002 | VMware-tools                            | Physical |          |         |              | 2047/08/23 12:56:58 | Unlimited | 0       
---|----------------------------------|-----------------------------------------|----------|----------|---------|--------------|---------------------|-----------|---------


hammer> activation-key create --organization "Default Organization" --name "VMware-tools" --content-view "Default Organization View" --lifecycle-environment Library
Activation key created

hammer> activation-key add-subscription --organization "Default Organization" --name "VMware-tools" --subscription-id 7
Subscription added to activation key

hammer> activation-key product-content --organization "Default Organization" --name "VMware-tools"
--------------|---------|------|-----|---------|-------------------------------------------|----------|---------
ID            | NAME    | TYPE | URL | GPG KEY | LABEL                                     | ENABLED? | OVERRIDE
--------------|---------|------|-----|---------|-------------------------------------------|----------|---------
1504097894685 | vmtools |      |     |         | Default_Organization_VMware-tools_vmtools | yes      |         
--------------|---------|------|-----|---------|-------------------------------------------|----------|---------

Comment 10 jalviso 2017-12-31 00:29:11 UTC
Tested and verified Comment#9 working on Satellite 6.3 Beta with installed packages:

satellite-6.3.0-21.0.beta.el7sat.noarch
tfm-rubygem-katello-3.4.5.25.2-1.el7sat.noarch

Comment 11 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.